Skip to main content
Version: 3.5

Update Maintenance Window

Updates the configuration of a maintenance window.

Request

Basic information
HTTP URLhttps://cloud-api.celerdata.com/api/1.0/clusters/:cluster_id/maintenance-windows/:window_id
HTTP methodPUT
Frequency600/minute

Path variables

ParameterExample valueRequiredTypeDescription
cluster_id4ae48a3f-f840-46fa-b0e7-0709a220fa40YesStringThe ID of the cluster. You can sign in to the PhoenixAI Cloud console and then navigate to the Cluster properties section of the cluster's Overview page to obtain the cluster ID.
window_idw-1a2b3cYesStringThe ID of the window.

:<variable_name> indicates a URL path variable in web development tools such as Postman. :cluster_id in the above URL path, as such, indicates the ID of the cluster you want to suspend. However, if you use other tools such as curl, you need to replace :cluster_id with the actual cluster ID by hand in the curl command.

Header parameters

ParameterExample valueRequiredTypeDescription
AuthorizationBearer OGQ5MDA4MZGTNJMWNS0ZY2Y2LWFJNZYTOTBINMZIYTGZZDUYYesStringThe access token used to access the PhoenixAI Cloud API. Format: Bearer <access_token>.

See Obtain access token.

Request body

{
"window_type": "WEEKLY",
"day_of_week": "SUNDAY",
"start_time": "02:00",
"end_time": "05:00",
"timezone": "America/Los_Angeles",
"enabled": true
}
ParameterExample valueRequiredTypeDescription
window_type"WEEKLY"YesSTRINGThe recurrence of the maintenance window. Valid values: WEEKLY and MONTHLY. Multiple windows in a cluster must be the same type.
day_of_week"SUNDAY"YesSTRINGDay of the week if window_type is set to WEEKLY. Valid values: SUNDAY, MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, and SATURDAY.
day_of_month1YesINTDay of the month if window_type is set to MONTHLY. Value range: [1, 31].
start_time"02:00"YesSTRINGThe start time of the window. Format: HH:mm, in 24-hour range. Always specify time values in zero-padded format (for example, "02:00" instead of "2:00"). Otherwise, Terraform may report a persistent diff. You must allocate at least two hours for each window. The window cannot cross midnight.
end_time"05:00"YesSTRINGThe end time of the window. Format: HH:mm, in 24-hour range. Always specify time values in zero-padded format (for example, "02:00" instead of "2:00"). Otherwise, Terraform may report a persistent diff. You must allocate at least two hours for each window. The window cannot cross midnight.
timezone"America/Los_Angeles"YesSTRINGIANA zone name. Raw offsets such as +08:00 are rejected.
enabledtrueYesBOOLEANWhether to enable the window.
warning

Requests to set identical windows (by creating a new one or updating existing ones) are rejected.

Response

Sample response

{
"code": 20000
}

Response elements

ParameterExample valueTypeDescription
code20000IntegerThe error code. If the error code returned is 20000, the request succeeded. If any other error code is returned, the request failed.